[beta] Ingest Readings

Ingest new readings. This endpoint allows the ingestion of batches of readings.

Ingesting readings is only supported for assets created using the POST /assets API endpoint with readingsIngestionEnabled set to true. To see a full list of readings available for ingestion use the GET readings definitions API.

Readings that currently support ingestion (by category):

ingestible
  • batteryVoltage
  • coolantTemp
  • ecuFuelLevelMillipercent
  • engineHours
  • engineRpm
  • engineState (values: off | running | idling)
  • faultCodesJ1939
  • faultCodesOBDII
  • fuelLevelPerc
  • location
  • odometerEcu
  • oilPressure

Note: Use the GET /readings/definitions endpoint and check the ingestionEnabled field for the authoritative, up-to-date set of ingestible readings for your organization.

When ingesting location data, the readingID 'location' must be used and the value object must contain at least the following fields: 'speed', 'latitude', 'longitude'.

Related guide: Readings.

Rate limit: 10 requests/sec (learn more about rate limits here).

To use this endpoint, select Write Readings under the Readings category when creating or editing an API token. Learn More.

Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
data
array of objects
required
length ≤ 1000

An array of readings data points to create.

data*
Responses
201

Created response.

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json